Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### emissive()
Examples |
    size(100, 100, P3D);
    background(0);
    noStroke();
    background(0);
    directionalLight(204, 204, 204, .5, 0, -1);
    emissive(0, 26, 51);
    translate(70, 50, 0);
    sphere(30);
Description | Sets the emissive color of the material used for drawing shapes drawn to the screen. Used in combination with ambient(), specular(), and shininess() in setting the materal properties of shapes.
Syntax |
    emissive(gray)
    emissive(color)
    emissive(v1, v2, v3)
Parameters |
gray | int or float: number specifying value between white and black
color | color: any value of the color datatype
v1 | int or float: red or hue value
v2 | int or float: green or saturation value
v3 | int or float: blue or brightness value
Returns | None
Usage | Web & Application
Related | ambient() specular() shininess()

Updated on August 30, 2010 04:29:39pm EDT